lenya-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pekka J Nieminen <pjnie...@cc.helsinki.fi>
Subject Installation problem
Date Mon, 26 May 2003 13:11:53 GMT
Hi,

I am running j2sdk1.4.1_02 + Tomcat 4.1.24-LE-jdk14 under
Windows 2000, and I tried to install Lenya from the binary distribution
lenya-0.8-dev-bin-20030526044849.zip located at
http://cvs.wyona.org/nightly-builds/ .

I extracted lenya.war from the zip file over to my tomcat/webapps
directory and started Tomcat.  The first problem I encountered was
the following (as reported by Tomcat during startup):

-- cut --
. . . . .
Starting service Tomcat-Standalone
Apache Tomcat/4.1.24-LE-jdk14
log4j:ERROR setFile(null,true) call failed.
java.io.FileNotFoundException:
..\..\build\tomcat\webapps\lenya\WEB-INF\logs\log4j.log
(The system cannot find the path specified)
        at java.io.FileOutputStream.openAppend(Native Method)
        at java.io.FileOutputStream.<init>(FileOutputStream.java:174)
        at java.io.FileOutputStream.<init>(FileOutputStream.java:102)
. . . . .
-- cut --

I located this to the file log4j.properties in the directory
\tomcat\webapps\lenya\WEB-INF\classes.  When i replaced the path
expression "..\..\build\tomcat" by "\tomcat" (the directory I have
Tomcat installed in), the exception disappeared.

However, the main problem still persists: pointing my browser to
http://localhost:8080/lenya/ yields only a blank page.

Does somebody here have any suggestions?  In an earlier posting
someone mentioned about updating the Xalan and Xerces libraries.
I tried this by copying xalan-20030506.jar, xercesImpl-2.4.0.jar
and xml-apis.jar files from the Cocoon 2.1M2 distribution to
\tomcat\common\endorsed, but it had no effect.

I find it somewhat confusing that there are quite a few inconsistencies
in the Lenya installation instructions.  For example, on page
http://www.lenya.org/installation/prerequisites.html it first speaks
about tomcat-4.1.24 and later about 4.1.21.  It also mentions J2SE 1.4.2
Beta, but on page http://www.lenya.org/installation/source_version.html
it refers to j2sdk1.4.1_01.  The instructions INSTALL-BIN.txt
accompanying the WAR file seem to be completely out-of-date.

Thanks in advance!

Regards,
Pekka

---------------------------------------------------------------------
To unsubscribe, e-mail: lenya-user-unsubscribe@cocoon.apache.org
For additional commands, e-mail: lenya-user-help@cocoon.apache.org


Mime
View raw message